Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028286
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 04. Warehouse managementminorhave not tried2014-11-26 10:352014-12-30 23:26
ReporteraferrazView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision1f26de8763c0
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028286: [Costing] Landed Cost Receipt Line Amount should always be created in the same order

DescriptionLanded Cost Receipt Line Amount should always be created in the same order

In order to help JUnit tests assert landed cost, Landed Cost Receipt Line Amount should always be created in the same order.
Steps To ReproduceIn "QA Testing" client, create a Landed Cost with more than one Landed Cost Cost and insert a Receipt with more than one line. Realize that Receipt Line Amount lines don't follow any order.
Proposed SolutionThe order should be:
1.- Landed Cost Receipt Goods Receipt document number
2.- Landed Cost Cost line number
3.- Landed Cost Receipt Goods Receipt Line line number
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0072290)
hgbot (developer)
2014-12-04 20:51

Repository: erp/devel/pi
Changeset: 1f26de8763c01883bfe0da27593442c2fd944782
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Dec 01 16:49:43 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1f26de8763c01883bfe0da27593442c2fd944782 [^]

Fixes bug 28286 LandedCostLineAmt should always be created in the same order

In order to help JUnit tests assert landed cost, an orderBy clause has been added when creating Landed Cost Receipt Line Amount lines, to be always created in the same order.

---
M src/org/openbravo/costing/LandedCostDistributionByAmount.java
M src/org/openbravo/costing/LandedCostProcess.java
---
(0072311)
hgbot (developer)
2014-12-05 14:12

Repository: erp/devel/pi
Changeset: cd56a855a806fe08a09c6ae3c88e48fcb65d55e9
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Dec 05 14:11:17 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cd56a855a806fe08a09c6ae3c88e48fcb65d55e9 [^]

Related to bug 28286 LandedCostLineAmt should always be created in the same order

The field in the order by clause must appear in the group by clause to prevent fail in Postgresql 8.4

---
M src/org/openbravo/costing/LandedCostDistributionByAmount.java
---
(0072313)
aferraz (developer)
2014-12-05 14:35

Verified
(0073176)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073181)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-26 10:35 aferraz New Issue
2014-11-26 10:35 aferraz Assigned To => Sandrahuguet
2014-11-26 10:35 aferraz Modules => Core
2014-11-26 10:35 aferraz Triggers an Emergency Pack => No
2014-11-27 18:39 aferraz Summary [Costing] Landed Cost Receipt Line Amount and Accounting should always be created in the same order => [Costing] Landed Cost Receipt Line Amount should always be created in the same order
2014-11-27 18:39 aferraz Description Updated View Revisions
2014-11-27 18:39 aferraz Steps to Reproduce Updated View Revisions
2014-11-27 18:39 aferraz Proposed Solution updated
2014-11-28 14:46 Sandrahuguet Assigned To Sandrahuguet => aferraz
2014-12-04 20:51 hgbot Checkin
2014-12-04 20:51 hgbot Note Added: 0072290
2014-12-04 20:51 hgbot Status new => resolved
2014-12-04 20:51 hgbot Resolution open => fixed
2014-12-04 20:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1f26de8763c01883bfe0da27593442c2fd944782 [^]
2014-12-04 20:52 aferraz Review Assigned To => aferraz
2014-12-04 20:52 aferraz Status resolved => closed
2014-12-05 11:47 aferraz Status closed => new
2014-12-05 11:47 aferraz Resolution fixed => open
2014-12-05 14:12 hgbot Checkin
2014-12-05 14:12 hgbot Note Added: 0072311
2014-12-05 14:34 aferraz Status new => scheduled
2014-12-05 14:34 aferraz fix_in_branch => pi
2014-12-05 14:35 aferraz Status scheduled => resolved
2014-12-05 14:35 aferraz Resolution open => fixed
2014-12-05 14:35 aferraz Note Added: 0072313
2014-12-05 14:35 aferraz Status resolved => closed
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073176
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073181


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker